Summary:	A modern, advanced and high performance authoritative-only nameserver
Name:		pdns
Version:	2.9.22
Release:	24.1

Group:		System Environment/Daemons
License:	GPLv2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-fixinit.patch
#Patch1:		%{name}-%{version}-axfr-patch
Patch2:		%{name}-%{version}-axfr_slavedb.patch
Patch3:		%{name}-%{version}_missing_includes.patch
Patch4:		secfix-012012.patch
Patch5:		pdns-ipv6-bind.patch
BuildRequires:	boost-devel chrpath gcc-c++ 
Provides:	powerdns = %{version}-%{release}

%description
The PowerDNS Nameserver is a modern, advanced and high performance
authoritative-only nameserver. It is written from scratch and conforms
to all relevant DNS standards documents.
Furthermore, PowerDNS interfaces with almost any database.

%package	backend-mysql
Summary:	MySQL backend for %{name}
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}
BuildRequires:	mysql-devel

%package	backend-pipe
Summary:	Pipe backend for %{name}
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}

%description	backend-mysql
This package contains the gmysql backend for %{name}

%description	backend-pipe
This package contains the pipe backend for %{name}


%prep
%setup -q
%patch0 -p1 -b .fixinit
#%patch1 -p1 
%patch2 -p0
%patch3 
%patch4 -p0
%patch5 -p1

%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED -g "
export CXXFLAGS="$CFLAGS"

%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--libdir=%{_libdir}/%{name} \
	--with-dynmodules='mysql gmysql pipe' \
	--with-mysql-lib=%{_libdir}/mysql 

make 

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

%{__rm} -f %{buildroot}%{_libdir}/%{name}/*.la
%{__install} -p -D -m 0755 pdns/pdns %{buildroot}%{_initrddir}/pdns
%{__mv} %{buildroot}%{_sysconfdir}/%{name}/pdns.conf{-dist,}

# add the pdns user to the config file
sed -i '1i\setuid=pdns' %{buildroot}%{_sysconfdir}/%{name}/pdns.conf
sed -i '2i\setgid=pdns' %{buildroot}%{_sysconfdir}/%{name}/pdns.conf

# strip the static rpath from the binaries
chrpath --delete %{buildroot}%{_bindir}/pdns_control
chrpath --delete %{buildroot}%{_bindir}/zone2ldap
chrpath --delete %{buildroot}%{_bindir}/zone2sql
chrpath --delete %{buildroot}%{_sbindir}/pdns_server
chrpath --delete %{buildroot}%{_libdir}/%{name}/*.so


%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add pdns
	userid=`id -u pdns 2>/dev/null`
	if [ x"$userid" = x ]; then
		%{_sbindir}/useradd -c "PowerDNS user" -s /sbin/nologin -r -d / pdns > /dev/null || :
	fi
fi
%preun
if [ $1 -eq 0 ]; then
	/sbin/service pdns stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del pdns
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog TODO pdns/COPYING
%{_bindir}/pdns_control
%{_bindir}/zone2ldap
%{_bindir}/zone2sql
%{_sbindir}/pdns_server
%{_mandir}/man8/pdns_control.8.gz
%{_mandir}/man8/pdns_server.8.gz
%{_mandir}/man8/zone2sql.8.gz
%{_initrddir}/pdns
%dir %{_libdir}/%{name}/
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/pdns.conf
%{_libdir}/%{name}/libgeobackend.a
%{_libdir}/%{name}/libgeobackend.so


%files backend-mysql
%defattr(-,root,root,-)
%doc pdns/COPYING
%{_libdir}/%{name}/libgmysqlbackend.so
%{_libdir}/%{name}/libmysqlbackend.so
%{_libdir}/%{name}/libmysqlbackend.a
%{_libdir}/%{name}/libgmysqlbackend.a

%files backend-pipe
%defattr(-,root,root,-)
%doc pdns/COPYING
%{_libdir}/%{name}/libpipebackend.so
%{_libdir}/%{name}/libpipebackend.a

%changelog
